## sysinfo

sysinfo

## Synopsis

    #include <glibtop/sysinfo.h>

    #define             GLIBTOP_SYSINFO_NCPU
    #define             GLIBTOP_SYSINFO_CPUINFO
    #define             GLIBTOP_MAX_SYSINFO
                        glibtop_sysinfo;
                        glibtop_entry;
    #define             glibtop_get_sysinfo_r
    const glibtop_sysinfo * glibtop_get_sysinfo_s           (glibtop *server);
    const glibtop_sysinfo * glibtop_get_sysinfo             (void);

## Description

## Details

### GLIBTOP_SYSINFO_NCPU

    #define GLIBTOP_SYSINFO_NCPU		0

### GLIBTOP_SYSINFO_CPUINFO

    #define GLIBTOP_SYSINFO_CPUINFO		1

### GLIBTOP_MAX_SYSINFO

    #define GLIBTOP_MAX_SYSINFO		2

### glibtop_sysinfo

    typedef struct {
    	guint64 flags;
    	guint64 ncpu;
    	glibtop_entry cpuinfo [GLIBTOP_NCPU];
    } glibtop_sysinfo;

### glibtop_entry

    typedef struct {
    	GPtrArray *labels;
    	GHashTable *values; /* key -> description */
    	GHashTable *descriptions; /* unused */
    } glibtop_entry;

### glibtop_get_sysinfo_r

    #define glibtop_get_sysinfo_r glibtop_get_sysinfo_s

### glibtop_get_sysinfo_s ()

    const glibtop_sysinfo * glibtop_get_sysinfo_s           (glibtop *server);

`server` : |
Returns : |

### glibtop_get_sysinfo ()

    const glibtop_sysinfo * glibtop_get_sysinfo             (void);

Returns : |